Subject: bug#62552: Bug found in latest stable release v3.10 of grep

From: mega lith01 <[email-masked]>
Date: Thu, 30 Mar 2023 17:01:27 +0100

Hi, i have identified what looks to be a bug in grep v3.10, the bug is not
present in v3.8 or v3.9, to reproduce the bug please see the attached bash
script.

The bug looks related to the use of the regex [^\d]+ which then ends up
resulting in no match.

If you need any more details then please let me know, I am very keen to get
this bug squashed as I make heavy use of grep in my scripts.

Many Thanks!.